Touchpad does not support edge scrolling on Lenovo Zhaoyang E47

Bug #803005 reported by Keng-Yu Lin on 2011-06-28
20
This bug affects 2 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Keng-Yu Lin
Natty
Undecided
Keng-Yu Lin
Oneiric
High
Keng-Yu Lin

Bug Description

Title: Touchpad does not support edge scrolling

Summary: The touchpad driver does not support edge scrolling

Steps:
1) Open wide and long document
2) Attempt to scroll using touchpad

Expected results: Document scrolls vert and horiz

Actual results: No action

CPU:
0: Intel(R) Core(TM) i3-2310M CPU @ 2.10GHz
1: Intel(R) Core(TM) i3-2310M CPU @ 2.10GHz
2: Intel(R) Core(TM) i3-2310M CPU @ 2.10GHz
3: Intel(R) Core(TM) i3-2310M CPU @ 2.10GHz

GPU: 00:02.0 VGA compatible controller: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller (rev 09)

Manufacturer: LENOVO

ProductName: ZHAOYANG E47

BiosVersion: 46CN03WW

Keng-Yu Lin (lexical) on 2011-06-28
affects: ubuntu → linux (Ubuntu)
Changed in linux (Ubuntu):
assignee: nobody → Keng-Yü Lin (lexical)
importance: Undecided → High
status: New → Confirmed
status: Confirmed → In Progress
tags: added: hwe-blocker
Keng-Yu Lin (lexical) wrote :

SRU Justification:

 Impact: The touchpad has no function on the edge scrolling.

 Fix: Add a quirk to enable the Intellimouse mode.

 Testcase: I tested the patch on Lenovo Zhaoyang E47 and confirmed that
    the edge scrolling is enabled in Natty and Oneiric.

 Keng-Yu Lin (1):
  UBUNTU: SAUCE: Input: ALPS - Enable Intellimouse mode for Lenovo
    Zhaoyang E47

  drivers/input/mouse/alps.c | 5 +++++
  1 files changed, 5 insertions(+), 0 deletions(-)

Changed in linux (Ubuntu):
status: In Progress → Triaged
Tim Gardner (timg-tpi) on 2011-07-19
Changed in linux (Ubuntu Natty):
assignee: nobody → Keng-Yü Lin (lexical)
status: New → Fix Committed
Changed in linux (Ubuntu Oneiric):
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.0.0-6.7

---------------
linux (3.0.0-6.7) oneiric; urgency=low

  [ Eagon Yager ]

  * [Config] Fix misspelled 'skipmodule' in arm makefile.

  [ Keng-Yu Lin ]

  * SAUCE: Input: ALPS - Enable Intellimouse mode for Lenovo Zhaoyang E47
    - LP: #632884, #803005

  [ Leann Ogasawara ]

  * Revert "[Config] Temporarily disable CONFIG_SMC91X on armel-omap"
  * Revert "[Config] Temporarily Disable CONFIG_BRCMSMAC on arm"
  * Revert "[Config] Temporarily Disable CONFIG_RTL8192SE on powerpc"
  * Revert "[Config] Temporarily Disable CONFIG_RTL8192SE on arm"
  * Revert "[Config] Temporarily disable CONFIG_BRCMSMAC on powerpc"
  * [Config] Set CONFIG_ACPI_PCI_SLOT=m
  * [Config] Set CONFIG_ACPI_SBS=m
  * [Config] Set CONFIG_ACPI_WMI=m
  * [Config] Set CONFIG_AD7150=m on arm
  * [Config] Set CONFIG_AD7152=m on arm
  * [Config] Drop CONFIG_GPIO_S5PV210
  * [Config] Drop CONFIG_GPIO_S5PC100
  * [Config] Drop CONFIG_GPIO_PLAT_SAMSUNG
  * [Config] Drop CONFIG_GPIO_EXYNOS4

  [ Stefan Bader ]

  * SAUCE: Re-enable RODATA for i386 virtual
    - LP: #809838

  [ Upstream Kernel Changes ]

  * Revert "Quirk to fix suspend/resume on Lenovo Edge 11,13,14,15"
  * (drop after 3.0.0) acer-wmi: Add support for Aspire 1830 wlan hotkey
    - LP: #771758
 -- Leann Ogasawara <email address hidden> Wed, 20 Jul 2011 06:36:02 -0700

Changed in linux (Ubuntu Oneiric):
status: Fix Committed → Fix Released
Herton R. Krzesinski (herton) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-natty' to 'verification-done-natty'.

If verification is not done by one week from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-natty
Ayan George (ayan) on 2011-08-31
tags: added: blocks-hwcert-enablement
Keng-Yu Lin (lexical) wrote :

the -proposed kernel is confirmed to fix the bug.

tags: added: verification-done-natty
removed: verification-needed-natty
tags: added: blocks-hwcert
removed: blocks-hwcert-enablement
tags: added: blocks-hwcert-enablement
removed: blocks-hwcert
Chris Van Hoof (vanhoof) on 2011-09-01
tags: added: blocks-hwcert
removed: hwe-blocker
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.38-11.50

---------------
linux (2.6.38-11.50) natty-proposed; urgency=low

  [Herton R. Krzesinski]

  * Release Tracking Bug
    - LP: #848246

  [ Upstream Kernel Changes ]

  * Revert "eCryptfs: Handle failed metadata read in lookup"
  * Revert "KVM: fix kvmclock regression due to missing clock update"
  * Revert "ath9k: use split rx buffers to get rid of order-1 skb
    allocations"

linux (2.6.38-11.49) natty-proposed; urgency=low

  [Herton R. Krzesinski]

  * Release Tracking Bug
    - LP: #836903

  [ Adam Jackson ]

  * SAUCE: drm/i915/pch: Fix integer math bugs in panel fitting
    - LP: #753994

  [ Keng-Yu Lin ]

  * SAUCE: Input: ALPS - Enable Intellimouse mode for Lenovo Zhaoyang E47
    - LP: #632884, #803005

  [ Stefan Bader ]

  * [Config] Force perf to use libiberty for demangling
    - LP: #783660

  [ Tim Gardner ]

  * [Config] Add enic/fnic to udebs
    - LP: #801610

  [ Upstream Kernel Changes ]

  * eeepc-wmi: add keys found on EeePC 1215T
    - LP: #812644
  * eCryptfs: Handle failed metadata read in lookup
    - LP: #509180
  * pagemap: close races with suid execve, CVE-2011-1020
    - LP: #813026
    - CVE-2011-1020
  * report errors in /proc/*/*map* sanely, CVE-2011-1020
    - LP: #813026
    - CVE-2011-1020
  * close race in /proc/*/environ, CVE-2011-1020
    - LP: #813026
    - CVE-2011-1020
  * auxv: require the target to be tracable (or yourself), CVE-2011-1020
    - LP: #813026
    - CVE-2011-1020
  * deal with races in /proc/*/{syscall, stack, personality}, CVE-2011-1020
    - LP: #813026
    - CVE-2011-1020
  * vmscan: fix a livelock in kswapd
    - LP: #813797
  * mmc: Add PCI fixup quirks for Ricoh 1180:e823 reader
    - LP: #773524
  * mmc: Added quirks for Ricoh 1180:e823 lower base clock frequency
    - LP: #773524
  * rose: Add length checks to CALL_REQUEST parsing, CVE-2011-1493
    - LP: #816550
    - CVE-2011-1493
  * pata_marvell: Add support for 88SE91A0, 88SE91A4
    - LP: #777325
  * GFS2: make sure fallocate bytes is a multiple of blksize, CVE-2011-2689
    - LP: #819572
    - CVE-2011-2689
  * Bluetooth: l2cap and rfcomm: fix 1 byte infoleak to userspace.
    - LP: #819569
    - CVE-2011-2492
  * drm/nv50-nvc0: work around an evo channel hang that some people see
    - LP: #583760
  * KVM: fix kvmclock regression due to missing clock update
    - LP: #795717
  * Add mount option to check uid of device being mounted = expect uid,
    CVE-2011-1833
    - LP: #732628
    - CVE-2011-1833
  * proc: fix oops on invalid /proc/<pid>/maps access, CVE-2011-1020
    - LP: #813026
    - CVE-2011-1020
  * ipv6: make fragment identifications less predictable, CVE-2011-2699
    - LP: #827685
    - CVE-2011-2699
  * ath9k: use split rx buffers to get rid of order-1 skb allocations
    - LP: #728835
  * perf: Fix software event overflow, CVE-2011-2918
    - LP: #834121
    - CVE-2011-2918
 -- Herton Ronaldo Krzesinski <email address hidden> Mon, 12 Sep 2011 17:23:38 -0300

Changed in linux (Ubuntu Natty):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers